## mingw-w64-cmake-bootstrap-4.0.2-1.src.tar.zst

=== Tests/Complex/CMakeLists.txt ===
#
# A more complex test case
#
cmake_minimum_required(VERSION 3.10)
project (Complex)

# Inform the test if the debug configuration is getting built.
string(APPEND CMAKE_C_FLAGS_RELEASE " -DCOMPLEX_NDEBUG")
string(APPEND CMAKE_CXX_FLAGS_RELEASE " -DCOMPLEX_NDEBUG")
string(APPEND CMAKE_C_FLAGS_RELWITHDEBINFO " -DCOMPLEX_NDEBUG")
string(APPEND CMAKE_CXX_FLAGS_RELWITHDEBINFO " -DCOMPLEX_NDEBUG")
string(APPEND CMAKE_C_FLAGS_MINSIZEREL " -DCOMPLEX_NDEBUG")
string(APPEND CMAKE_CXX_FLAGS_MINSIZEREL " -DCOMPLEX_NDEBUG")

# Test that renaming a built-in works when configured multiple times.
message("message")
function(message)
  _message(${ARGN})
endfunction()
message("message")

# Test building without per-rule echo lines in Makefiles.
set_property(GLOBAL PROPERTY RULE_MESSAGES OFF)
